#include <stdio.h>
#include <stdlib.h>

int main(){
    int n, l; //broj stalaktita, visina perice
    scanf("%d", &n);
    scanf("%d", &l);
    int h[n];
    for(int i=0; i<n; i++){
        scanf("%d", &h[i]);
    }
    int br=0;
    while(l<h[br]){
        br++;
        if(br==n-1)
            break;
    }
    br++;
    if(br==n)
        br=-1;
    printf("%d", br);

    return 0;
}